$(document).ready(function() {
	// init tooltips
	$(document).tooltip({
		show: {
	        effect: "blind",
	        delay: 100
	    },
	    
	    tooltipClass: 'ui-jqgrid-tooltip',
	    
		content: function() {
	
			//Exclusions 
			var className = $(this).attr('class');

			if (className !== undefined && className.indexOf("ui-dialog-titlebar-close") >= 0){
				return false;
			}
			
			if($(this).prop("data-tooltip") != undefined){
				$(this).prop("title", '');
				return $(this).prop("data-tooltip");
			}
			
			var currentTitle = $(this).prop('title');
			var inner = $(this).contents(':not(span)').text();
			
			if (currentTitle == $.trim(inner)) {
				$(this).prop("title", '');
			}
			
			return $(this).prop('title');
		}
	});
	
	refreshTooltipsHandlers();
});

function refreshTooltipsHandlers() {
	$('[title]').mouseover(function(){
		if($(this).prop( "data-tooltip" ) != undefined){
			$(this).prop( "title", '');
		}
	});
	
	$('[title]').focusin(function(){
		return false; // prevents to display double tooltips
	});
}

function refreshTooltip(elem, value) {
	
	elem.prop("data-tooltip", value);
	if(elem.prop("title") == undefined){
		elem.prop("title", value);
	}else{
		elem.prop("title", '');
	}
}
